> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Call verification



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/verify.yml post /verifications/call
openapi: 3.1.0
info:
  title: Telnyx Verify API
  version: 2.0.0
  description: API for Verify.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /verifications/call:
    post:
      tags:
        - Verify
      summary: Trigger Call verification
      operationId: CreateVerificationCall
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVerificationRequestCall'
        required: true
      responses:
        '200':
          description: Expected verifications response to a valid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateVerificationResponse'
        '400':
          $ref: '#/components/responses/verify_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const createVerificationResponse = await
            client.verifications.triggerCall({
              phone_number: '+13035551234',
              verify_profile_id: '12ade33a-21c0-473b-b055-b3c836e1c292',
            });


            console.log(createVerificationResponse.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            create_verification_response = client.verifications.trigger_call(
                phone_number="+13035551234",
                verify_profile_id="12ade33a-21c0-473b-b055-b3c836e1c292",
            )
            print(create_verification_response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tcreateVerificationResponse, err := client.Verifications.TriggerCall(context.TODO(), telnyx.VerificationTriggerCallParams{\n\t\tPhoneNumber:     \"+13035551234\",\n\t\tVerifyProfileID: \"12ade33a-21c0-473b-b055-b3c836e1c292\",\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", createVerificationResponse.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.verifications.CreateVerificationResponse;

            import
            com.telnyx.sdk.models.verifications.VerificationTriggerCallParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    VerificationTriggerCallParams params = VerificationTriggerCallParams.builder()
                        .phoneNumber("+13035551234")
                        .verifyProfileId("12ade33a-21c0-473b-b055-b3c836e1c292")
                        .build();
                    CreateVerificationResponse createVerificationResponse = client.verifications().triggerCall(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            create_verification_response = telnyx.verifications.trigger_call(
              phone_number: "+13035551234",
              verify_profile_id: "12ade33a-21c0-473b-b055-b3c836e1c292"
            )

            puts(create_verification_response)
        - lang: CLI
          source: |-
            telnyx verifications trigger-call \
              --api-key 'My API Key' \
              --phone-number +13035551234 \
              --verify-profile-id 12ade33a-21c0-473b-b055-b3c836e1c292
components:
  schemas:
    CreateVerificationRequestCall:
      title: CreateVerificationRequestCall
      description: The request body when creating a verification.
      required:
        - phone_number
        - verify_profile_id
      type: object
      properties:
        phone_number:
          example: '+13035551234'
          type: string
          description: +E164 formatted phone number.
        verify_profile_id:
          example: 12ade33a-21c0-473b-b055-b3c836e1c292
          type: string
          format: uuid
          description: The identifier of the associated Verify profile.
        custom_code:
          example: '43612'
          type:
            - string
            - 'null'
          description: Send a self-generated numeric code to the end-user
          default: null
        timeout_secs:
          type: integer
          example: 300
          description: The number of seconds the verification code is valid for.
        extension:
          example: 1www2WABCDw9
          type:
            - string
            - 'null'
          description: >-
            Optional extension to dial after call is answered using DTMF digits.
            Valid digits are 0-9, A-D, *, and #. Pauses can be added using w
            (0.5s) and W (1s).
          default: null
    CreateVerificationResponse:
      title: CreateVerifyVerificationResponse
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Verification'
    Verification:
      title: Verification
      type: object
      properties:
        id:
          example: 12ade33a-21c0-473b-b055-b3c836e1c292
          format: uuid
          type: string
        type:
          $ref: '#/components/schemas/VerificationType'
        record_type:
          $ref: '#/components/schemas/VerificationRecordType'
        phone_number:
          example: '+13035551234'
          type: string
          description: +E164 formatted phone number.
        verify_profile_id:
          example: 12ade33a-21c0-473b-b055-b3c836e1c292
          type: string
          format: uuid
          description: The identifier of the associated Verify profile.
        custom_code:
          example: '43612'
          type:
            - string
            - 'null'
          description: Send a self-generated numeric code to the end-user
          default: null
        timeout_secs:
          example: 300
          type: integer
          description: >-
            This is the number of seconds before the code of the request is
            expired. Once this request has expired, the code will no longer
            verify the user. Note: this will override the
            `default_verification_timeout_secs` on the Verify profile.
        status:
          $ref: '#/components/schemas/VerificationStatus'
        created_at:
          example: '2020-09-14T17:03:32.965812'
          type: string
        updated_at:
          example: '2020-09-14T17:03:32.965812'
          type: string
    verify_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/verify_Error'
      type: object
    VerificationType:
      title: VerificationType
      enum:
        - sms
        - call
        - flashcall
        - whatsapp
      type: string
      example: sms
      description: The possible types of verification.
    VerificationRecordType:
      title: VerificationRecordType
      enum:
        - verification
      type: string
      example: verification
      description: The possible verification record types.
    VerificationStatus:
      title: VerificationStatus
      enum:
        - pending
        - accepted
        - invalid
        - expired
        - error
      type: string
      example: accepted
      description: The possible statuses of the verification request.
    verify_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          example: '10015'
        title:
          type: string
          example: Invalid sorting value
        detail:
          type: string
          example: >-
            The value provided for sorting is not valid. Check the value used
            and try again.
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              example: /sort
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          properties:
            url:
              type: string
              description: URL with additional information on the error.
              example: https://developers.telnyx.com/docs/overview/errors/10015
      type: object
  responses:
    verify_GenericErrorResponse:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/verify_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````